Name:		mftrace
Version:	1.2.20
Release:	%mkrel 1
Summary:	Generates scalable fonts for TeX
Summary(de):	Konvertiert Metafont-Schriften in Type1-Schriften
Group:		Publishing
License:	GPL
URL:		http://lilypond.org/mftrace/
Source0:	http://lilypond.org/download/sources/mftrace/mftrace-%{version}.tar.xz
Patch0:		mftrace-1.2.20-man.patch
Requires:	autotrace
Requires:	fontforge
Requires:	potrace
Requires:	python3
Requires:	t1utils
Requires:	tetex

BuildRequires:	lib64autotrace-devel
BuildRequires:	potrace
BuildRequires:	python3-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font) or TTF
(TrueType) font. It is licensed under the GNU GPL.

Scalable fonts offer many advantages over bitmaps, as they allow
documents to render correctly at many printer resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable PostScript
fonts.
#german
%description -l de
Bei Mftrace handelt es sich um ein kleines Python-Programm, das es Ihnen 
erlaubt, eine TeX-Bitmap-Schrift (Metafont-Schrift) in eine PFA- oder 
PFB-Schrift (skalierbare PostScript-Type1-Schrift) nachzuzeichnen. Es 
ist unter der GNU GPL lizensiert. 

Type1-Schriften bieten viele Vorteile gegenüber Bitmaps, da sie es 
erlauben, PostScript-Dateien richtig in vielen Auflösungen auf Druckern 
auszugeben. Außerdem kann GhostScript mit skalierbaren Schriften viel 
besseres PDF erzeugen. 

%prep
%setup -q
%apply_patches
sed -i -e "s|-Wall -O2|%{optflags}|" GNUmakefile.in

%build
export PYTHON=%{__python3}
%{configure2_5x}
%{make} CC="%{__cc}" CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/gf2pbm
%attr(0755,root,root) %{_bindir}/mftrace
%{_mandir}/man1/mftrace.1*
%{_datadir}/%{name}


%changelog
* Thu Feb 27 2020 tex - 1.2.20-1pclos2020
- new version

